View Issue Details

IDProjectCategoryView StatusLast Update
0021651mantisbtsecuritypublic2016-12-05 09:29
Reportervboctor 
Assigned Tosyncguru 
PrioritynormalSeverityblockReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.0.0-beta.1 
Target Version2.0.0-rc.1Fixed in Version2.0.0-rc.1 
Summary0021651: Dropzone has inline scripts in View Issue page
Description

For now, we have an exception for View Issue page to enable inline script, but we should remove this once the Dropzone setup scripts are removed.

Tagscsp, modern-ui

Relationships

related to 0020040 closedsyncguru Replace jscalendar by a newer widget 
related to 0021669 closedsyncguru Charts have inline scripts 
related to 0021743 closedvboctor Attach files dropzone is not working 
related to 0021925 closeddregad Incorrect text for the remove file button in the file upload dropzone 

Related Changesets

MantisBT: master 48a71a70

2016-10-22 00:37:22

syncguru


Committer: vboctor Details Diff
Relocate dropzone inline js to separate file

Fixes 0021651
mod - bug_file_upload_inc.php Diff File
mod - bug_report_page.php Diff File
mod - bugnote_add_inc.php Diff File
mod - core/html_api.php Diff File
mod - core/http_api.php Diff File
add - dropzone_inc.php Diff File
rm - fileupload_inc.php Diff File
mod - js/common.js Diff File

Issue History

Date Modified Username Field Change
2016-08-27 19:23 vboctor New Issue
2016-08-27 19:23 vboctor Tag Attached: modern-ui
2016-08-28 10:36 atrol Target Version 2.0.0-beta.2 => 2.0.0-beta.3
2016-09-07 00:31 vboctor Relationship added related to 0021669
2016-09-07 01:50 vboctor Relationship added related to 0020040
2016-09-07 01:51 vboctor Tag Attached: csp
2016-10-02 19:35 atrol Target Version 2.0.0-beta.3 => 2.0.0-rc.1
2016-10-03 22:59 vboctor Relationship added related to 0021743
2016-10-17 02:04 vboctor Assigned To => syncguru
2016-10-17 02:04 vboctor Severity minor => block
2016-10-17 02:04 vboctor Status new => assigned
2016-10-19 22:51 syncguru Note Added: 0054291
2016-10-22 00:41 syncguru Note Added: 0054317
2016-10-25 02:19 vboctor Changeset attached => MantisBT master 48a71a70
2016-10-25 02:19 vboctor Assigned To syncguru => vboctor
2016-10-25 02:19 vboctor Status assigned => resolved
2016-10-25 02:19 vboctor Resolution open => fixed
2016-10-25 02:19 vboctor Fixed in Version => 2.0.0-rc.1
2016-10-25 02:30 vboctor Assigned To vboctor => syncguru
2016-10-30 23:22 vboctor Status resolved => closed
2016-12-05 09:29 dregad Relationship added related to 0021925